<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RFeatureControlConfig StructType
 * @subpackage Structs
 */
class RFeatureControlConfig extends AbstractStructBase
{
    /**
     * The featureName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $featureName;
    /**
     * The defaultValue
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $defaultValue;
    /**
     * The overrideDefault
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $overrideDefault;
    /**
     * The enableSetting
     * Meta information extracted from the WSDL
     * - documentation: This tag will be taken to consideration only when 'overrideDefault' tag is set to True.This will be handled in the code.
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enableSetting;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RFeatureControlConfig
     * @uses RFeatureControlConfig::setFeatureName()
     * @uses RFeatureControlConfig::setDefaultValue()
     * @uses RFeatureControlConfig::setOverrideDefault()
     * @uses RFeatureControlConfig::setEnableSetting()
     * @uses RFeatureControlConfig::setUuid()
     * @param string $featureName
     * @param string $defaultValue
     * @param string $overrideDefault
     * @param string $enableSetting
     * @param string $uuid
     */
    public function __construct($featureName = null, $defaultValue = null, $overrideDefault = null, $enableSetting = null, $uuid = null)
    {
        $this
            ->setFeatureName($featureName)
            ->setDefaultValue($defaultValue)
            ->setOverrideDefault($overrideDefault)
            ->setEnableSetting($enableSetting)
            ->setUuid($uuid);
    }
    /**
     * Get featureName value
     * @return string|null
     */
    public function getFeatureName()
    {
        return $this->featureName;
    }
    /**
     * Set featureName value
     * @param string $featureName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFeatureControlConfig
     */
    public function setFeatureName($featureName = null)
    {
        $this->featureName = $featureName;
        return $this;
    }
    /**
     * Get defaultValue value
     * @return string|null
     */
    public function getDefaultValue()
    {
        return $this->defaultValue;
    }
    /**
     * Set defaultValue value
     * @param string $defaultValue
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFeatureControlConfig
     */
    public function setDefaultValue($defaultValue = null)
    {
        $this->defaultValue = $defaultValue;
        return $this;
    }
    /**
     * Get overrideDefault value
     * @return string|null
     */
    public function getOverrideDefault()
    {
        return $this->overrideDefault;
    }
    /**
     * Set overrideDefault value
     * @param string $overrideDefault
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFeatureControlConfig
     */
    public function setOverrideDefault($overrideDefault = null)
    {
        $this->overrideDefault = $overrideDefault;
        return $this;
    }
    /**
     * Get enableSetting value
     * @return string|null
     */
    public function getEnableSetting()
    {
        return $this->enableSetting;
    }
    /**
     * Set enableSetting value
     * @param string $enableSetting
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFeatureControlConfig
     */
    public function setEnableSetting($enableSetting = null)
    {
        $this->enableSetting = $enableSetting;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFeatureControlConfig
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
